Results 1 to 5 of 5
  1. #1
    Join Date
    Mar 2006
    Location
    Fresno, California
    Posts
    621
    Plugin Contributions
    0

    Default Error on upgrade 1.3.0.2 to 1.3.7

    Hi All,

    I'm getting an error when I updated my Zen cart. It is:

    Fatal error: Cannot instantiate non-existent class: phpbb in /home/internc2/public_html/shop/includes/autoload_func.php on line 79

    The admin section seems to work fine though.

    The url for the problem is:

    http://www.internationalsaws.com/shop

  2. #2
    Join Date
    Mar 2006
    Location
    Fresno, California
    Posts
    621
    Plugin Contributions
    0

    Default Re: Error on upgrade 1.3.0.2 to 1.3.7

    I have made progress by searching the forum:

    http://www.zen-cart.com/forum/showthread.php?t=45377

  3. #3
    Join Date
    Mar 2006
    Location
    Fresno, California
    Posts
    621
    Plugin Contributions
    0

    Default Re: Error on upgrade 1.3.0.2 to 1.3.7

    This problem was solved.

    For those of you tortured souls that have the same problem, here is the solution:

    The file /includes/classes/class.phpBB.php

    must be renamed to:

    The file /includes/classes/class.phpbb.php

    Notice the change in CAPS on the file name.

  4. #4
    Join Date
    Oct 2006
    Posts
    138
    Plugin Contributions
    0

    Default Re: Error on upgrade 1.3.0.2 to 1.3.7

    sorry to revisit this, but I have two of these files when I am doing my backup at present
    one is class.phpbb.php, and the other is class.phpBB.php

    my ftp will only let me download one because the name is the same, which one do I want?
    my store as it is at present has both??

    oh, the capital BB one has a new date on it , and the bb one is old version that comes with zc1.3.7
    Last edited by zas; 8 Apr 2007 at 12:13 AM.
    [FONT=Fixedsys]We live in a rainbow of chaos ~ Paul Cezanne[/FONT]

  5. #5
    Join Date
    Mar 2006
    Location
    Fresno, California
    Posts
    621
    Plugin Contributions
    0

    Default Re: Error on upgrade 1.3.0.2 to 1.3.7

    Well, from what I remember, you want the lower case name file phpbb

    I didn't have both files.

 

 

Similar Threads

  1. None of DB visible after upgrade from 1.3.0.2 to 1.3.7
    By bhuntsman in forum Upgrading from 1.3.x to 1.3.9
    Replies: 7
    Last Post: 9 Feb 2007, 03:20 PM
  2. Upgrade from 1.2.4 to 1.3.7
    By andy in forum Upgrading from 1.2 to 1.3.x
    Replies: 14
    Last Post: 9 Feb 2007, 09:21 AM
  3. Database upgrade to 1.3.7
    By dhadi in forum Upgrading from 1.3.x to 1.3.9
    Replies: 2
    Last Post: 3 Feb 2007, 05:43 PM
  4. Replies: 4
    Last Post: 20 Jul 2006, 10:29 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •